GPT(1)

NAME
gpt - compiler, interpreter and translator for the G-Portugol programming language

SYNOPSIS
  gpt [ -vhid ] [ -ots output_file ] file1 file2 ...

DESCRIPTION
gpt is a simple compiler for the G-Porutol Language. It is possible to have a list of files to be included in the compilation setting the GPT_INCLUDE environment variable, wich should have a list of file paths separated with ":".

OPTIONS

-v  Shows version information and exits.

-h  Shows a summary of options and exits.

-i  Execute interpreting the source code.

-d  Shows tips in the error report.

-o output_file
    Compile the source code and save the resulting binary with the name output_file.

-t output_file
    Translates the source code to the C programming language and saves the resulting file as output_file.

-s output_file
    Compiles the source code to assembly source. Saves the resulting code as output_file.

SEE ALSO
nasm(1)

ADDITIONAL INFORMATION

For further information, visit the website:
https://gportugol.github.io

AUTHOR
Thiago Silva <tsilva@sourcecraft.info> G-Portugol contributors <gportugol@googlegroups.com>